API referenceManuals
Delete manual
Deletes a manual: its published deck, its files, then the manual itself. Starts a `delete` job. The manual is gone when its routes answer not-found, the job route among them.
DELETE
Deletes a manual: its published deck, its files, then the manual itself.
Starts a delete job. The manual is gone when its routes answer not-found, the job route among them.
header
x-api-key<token>Scope: manuals:write
id*stringMatch
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$The job as it stands; poll the job route until it is no longer running
application/json- response
job*|nullcurl -X DELETE 'https://www.chameleonlabs.org/api/manuals/string'Example Response
{ "job": { "id": "string", "kind": "breakdown", "status": "running", "startedAt": "2019-08-24T14:15:22Z", "stoppedAt": "2019-08-24T14:15:22Z", "error": "string" }}